Welcome to the forums. Please post in English or French.

You are not logged in.

#1 2021-09-10 14:02:49

Luc_Parise
Member
Registered: 2021-09-06
Posts: 5

Salome_meca sur Debian9 : problème avec libGLX

Bonjour à tous,

J'ai installé Salome-Meca sur Debian 9 via la VM VirtualBox (mon PC est sous Windows).
Cependant je bute sur le même problème depuis 2 jours. Voici le code d'erreur :

vmlinux@Debian9VM:~/salome_meca/appli_V2020.0.1_universal_universal$ ./salome
runSalome running on Debian9VM
INFO:MainThread:/home/vmlinux/salome_meca/appli_V2020.0.1_universal_universal/bin/salome/PortManager.py[158]Problem loading PortManager file: /tmp/.salome_PortManager.cfg
INFO:PortManager:Problem loading PortManager file: /tmp/.salome_PortManager.cfg
Searching for a free port for naming service: 2810 - OK
inside europlexus set env...
Searching Naming Service  +omniNames: (0) 2021-09-10 14:45:16.078697: -ORBendPoint option overriding default endpoint.
 found in 0.1 seconds 
Searching /Kernel/Session in Naming Service  ++Warning, no type found for resource "localhost", using default value "single_machine"
++++SALOME_Session_Server: error while loading shared libraries: libGLX.so.0: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/home/vmlinux/salome_meca/V2020.0.1_universal_universal/modules/KERNEL_V9_4_0/bin/salome/orbmodule.py", line 181, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/vmlinux/salome_meca/appli_V2020.0.1_universal_universal/bin/salome/runSalome.py", line 679, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/home/vmlinux/salome_meca/appli_V2020.0.1_universal_universal/bin/salome/runSalome.py", line 624, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/home/vmlinux/salome_meca/V2020.0.1_universal_universal/modules/KERNEL_V9_4_0/bin/salome/orbmodule.py", line 183, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 1666 for /Kernel/Session not found


--- Error during Salome launch --- 

Il semblerait qu'il y ait un problème avec libGLX.so.0

J'ai parcouru de nombreux forums et sites internet pour tenter de résoudre ce problème mais en vain...

Quelqu'un aurait-il une solution ?

Merci d'avance !

Luc

Offline